%define gpg_program 1
%define glibc_code_ver %{get_version glibc-core}
%add_findreq_skiplist %_sysconfdir/X11/xinit.d/*
%define req_assuan_ver 1.0.4

Name: gnupg2
Version: 2.0.14
Release: alt1.M51.1

Group: Text tools
Summary: The GNU Privacy Guard suite
License: GPL
Url: http://www.gnupg.org/

PreReq(post,preun): info-install

Provides: newpg = %version-%release
Obsoletes: newpg < %version-%release

%if %gpg_program
%else
Requires: gnupg
%endif
#Requires: libassuan >= %req_assuan_ver
Requires: %name-agent = %version-%release
Requires: %name-common = %version-%release

Source0: ftp://ftp.gnupg.org/gcrypt/alpha/gnupg/gnupg-%version.tar.bz2
Source1: gnupg-agent.sh
Patch1: gnupg-1.6.9-xloadimage.patch
Patch2: gnupg-1.9.15-gnupg2-info.patch
Patch3: gnupg-1.9.20-alt-libpcsclite.patch
Patch4: gnupg-2.0.9-alt-dont-req-new-tools.patch
Patch5: gnupg-2.0.10-alt-agent-fix-password-requiest.patch
Patch6: gnupg-2.0.16-realloc-bug.patch

# Automatically added by buildreq on Tue Apr 06 2004 (-bi)
#BuildRequires: OpenSP alternatives docbook-dtds docbook-style-dsssl docbook-utils libassuan-devel libcap-devel libgcrypt-devel libgpg-error-devel libksba-devel libopensc-devel libpcsclite-devel libpth-devel libusb-devel sgml-common zlib-devel
BuildRequires: OpenSP alternatives docbook-dtds docbook-style-dsssl
BuildRequires: docbook-utils libcap-devel libgcrypt-devel >= 1.4
BuildRequires: libassuan-devel >= %req_assuan_ver
BuildRequires: libgpg-error-devel libksba-devel >= 0.9.13
#BuildRequires: libopensc-devel libpcsclite-devel
BuildRequires: libusb-devel
BuildRequires: libpth-devel
BuildRequires: sgml-common zlib-devel
BuildRequires: libldap-devel

%description
GnuPG is a set of programs for public key encryption and digital signa-
tures.  The program most users will want to use is the OpenPGP  command
line  tool, named gpg2.  gpgvis a stripped down version of gpg2 with no
encryption functionality, used only  to  verify  signatures  against  a
trusted  keyring.   gpgsm  is the X.509/CMS (for S/MIME) counterpart of
gpg2.

%package agent
Group: Text tools
Summary: Secret key manager for GnuPG
Requires: %name-common = %version-%release
Provides: gnupg-agent = %version-%release
Provides: gpg-agent = %version-%release
Conflicts: gnupg2 <= 2.0.11-alt1
%description agent
gpg-agent is a daemon to manage  secret  (private)  keys  independently
from  any  protocol.  It is used as a backend for gpg and gpgsm as well
as for a couple of other utilities. It may also emulate the ssh-agent.

%package common
Group: Text tools
Summary: he GNU Privacy Guard suite common programs
Provides: %name-gpg = %version-%release
Conflicts: gnupg2 <= 2.0.11-alt1
%description common
GnuPG is a set of programs for public key encryption and digital signa-
tures.  The program most users will want to use is the OpenPGP  command
line  tool, named gpg2.  gpgvis a stripped down version of gpg2 with no
encryption functionality, used only  to  verify  signatures  against  a
trusted  keyring.   gpgsm  is the X.509/CMS (for S/MIME) counterpart of
gpg2.



%prep
%setup -q -n gnupg-%version
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
#mv -f doc/gnupg.texi doc/gnupg2.texi
#./autogen.sh

%build
%add_optflags -fno-strict-aliasing
%configure \
	--disable-rpath \
	--with-capabilities \
%if %gpg_program
	--enable-gpg \
%else
	--disable-gpg \
%endif
	--enable-m-guard \
	--disable-m-debug \
	--enable-symcryptrun \
	--without-included-gettext \
	--enable-threads=posix \
	--with-mailprog=%_sbindir/sendmail \
	--with-pinentry-pgm=%_bindir/pinentry \
	--libexecdir=%_libdir/gnupg \
	--with-pkits-tests
%make MAKEINFOFLAGS="--no-split"

%install
%make install DESTDIR=%buildroot

mkdir -p %buildroot/%_sysconfdir/profile.d/ %buildroot/%_sysconfdir/X11/xinit.d/
install -m 0755 %SOURCE1 %buildroot/%_sysconfdir/profile.d/gnupg-agent.sh
ln -s ../../profile.d/gnupg-agent.sh %buildroot/%_sysconfdir/X11/xinit.d/gnupg-agent.sh

pushd %buildroot/%_infodir
for f in gnupg.*
do
    mv $f `echo "$f" | sed "s|^gnupg\.|gnupg2.|"`
done
popd

%if %gpg_program
%else
    ln -s gpg %buildroot/%_bindir/gpg2
%endif

%find_lang %name


%files
%files agent
%doc agent/ChangeLog
%doc %_man1dir/*agent.1*
%config %_sysconfdir/profile.d/gnupg-agent.sh
%_bindir/gpg-agent
%_libdir/gnupg/gpg-preset-passphrase
%_libdir/gnupg/gpg-protect-tool

%files common -f %name.lang
%doc README TODO ChangeLog NEWS AUTHORS THANKS
%doc %_man1dir/*.1*
%exclude %_man1dir/gpg-zip.*
%exclude %_man1dir/*agent.1*
%doc %_man8dir/*.8*
%_bindir/*
%exclude %_bindir/gpg-agent
%_sbindir/*
%_libdir/gnupg/
%exclude %_libdir/gnupg/gpg-preset-passphrase
%exclude %_libdir/gnupg/gpg-protect-tool
%_datadir/gnupg/
%_infodir/*.info*

%changelog
* Fri Jul 23 2010 Sergey V Turchin <zerg@altlinux.org> 2.0.14-alt1.M51.1
- add upstream patch for realloc bug in gpgsm

* Mon Feb 01 2010 Sergey V Turchin <zerg@altlinux.org> 2.0.14-alt0.M51.1
- built for M51

* Fri Jan 29 2010 Sergey V Turchin <zerg@altlinux.org> 2.0.14-alt1
- new version

* Fri Jan 29 2010 Sergey V Turchin <zerg@altlinux.org> 2.0.13-alt2
- add conflict with non-splitted package (ALT#22256)
- fix provides for gnupg-agent

* Mon Sep 07 2009 Sergey V Turchin <zerg@altlinux.org> 2.0.13-alt1
- new version
- compile with -fno-strict-aliasing
- don't package gpg-zip manpage

* Tue Sep 01 2009 Sergey V Turchin <zerg@altlinux.org> 2.0.12-alt2
- rebuilt with libldap2.4

* Mon Jun 22 2009 Sergey V Turchin <zerg@altlinux.org> 2.0.12-alt1
- new version

* Tue May 12 2009 Sergey V Turchin <zerg@altlinux.org> 2.0.11-alt2.M50.1
- built for M50

* Wed May 06 2009 Sergey V Turchin <zerg@altlinux.org> 2.0.11-alt3
- add provides %%name-gpg

* Tue May 05 2009 Sergey V Turchin <zerg@altlinux.org> 2.0.11-alt2
- split agent to separate subpackage

* Tue Mar 03 2009 Sergey V Turchin <zerg at altlinux dot org> 2.0.11-alt1
- new version
- add patch to fix agent double same password requests (fixes #11969); thanks rider@alt

* Mon Jan 12 2009 Sergey V Turchin <zerg at altlinux dot org> 2.0.10-alt1
- new version
- built with ldap to enable ldap:// keyservers

* Wed Mar 26 2008 Sergey V Turchin <zerg at altlinux dot org> 2.0.9-alt1
- new version

* Thu Dec 20 2007 Sergey V Turchin <zerg at altlinux dot org> 2.0.8-alt1
- new version

* Wed Nov 14 2007 Sergey V Turchin <zerg at altlinux dot org> 2.0.7-alt1
- new version
- don't split info-file (#13429)

* Thu Aug 16 2007 Sergey V Turchin <zerg at altlinux dot org> 2.0.6-alt1
- new version

* Tue Jul 10 2007 Sergey V Turchin <zerg at altlinux dot org> 2.0.5-alt1
- new version

* Thu May 10 2007 Sergey V Turchin <zerg at altlinux dot org> 2.0.4-alt1
- new version

* Fri Mar 09 2007 Sergey V Turchin <zerg at altlinux dot org> 2.0.3-alt1
- new version

* Mon Feb 05 2007 Sergey V Turchin <zerg at altlinux dot org> 2.0.2-alt1
- new version

* Thu Dec 07 2006 Sergey V Turchin <zerg at altlinux dot org> 2.0.1-alt1
- new version
- add pathc to fix CVE-2006-6235
- built with posix threads

* Tue Nov 28 2006 Sergey V Turchin <zerg at altlinux dot org> 2.0.0-alt2
- add patch to fix buffer overflow

* Mon Nov 13 2006 Sergey V Turchin <zerg at altlinux dot org> 2.0.0-alt1
- new version
- built gpg2 program

* Tue Oct 17 2006 Sergey V Turchin <zerg at altlinux dot org> 1.9.92-alt3
- don't package /etc/X11/xinit.d file

* Thu Oct 12 2006 Sergey V Turchin <zerg at altlinux dot org> 1.9.92-alt2
- resolve file conflicts with gnupg

* Wed Oct 11 2006 Sergey V Turchin <zerg at altlinux dot org> 1.9.92-alt1
- new version

* Thu Jan 26 2006 Sergey V Turchin <zerg at altlinux dot org> 1.9.20-alt2
- don't build gpg2; symlink to gpg
- fix libpcsclite file name for dlopening

* Fri Jan 20 2006 Sergey V Turchin <zerg at altlinux dot org> 1.9.20-alt1
- new version

* Wed Jun 22 2005 Sergey V Turchin <zerg at altlinux dot org> 1.9.17-alt2
- fix Patch4

* Tue Jun 21 2005 Sergey V Turchin <zerg at altlinux dot org> 1.9.17-alt1
- new version

* Fri Jan 21 2005 Sergey V Turchin <zerg at altlinux dot org> 1.9.15-alt1
- new version
- do not apply patch for $TMPDIR

* Tue Nov 02 2004 Sergey V Turchin <zerg at altlinux dot org> 1.9.12-alt1
- new version
- add patch for $TMPDIR
  thanks raorn@altlinux
- improve gnupg-agent.sh
  thanks raorn@altlinux

* Mon Oct 11 2004 Sergey V Turchin <zerg at altlinux dot org> 1.9.11-alt1
- new version

* Fri Aug 13 2004 Stanislav Ievlev <inger@altlinux.org> 1.9.7-alt2.1
- ported to new alternatives scheme

* Thu Jul 22 2004 Sergey V Turchin <zerg at altlinux dot org> 1.9.7-alt2
- fix gnupg-agent.sh about $GNUPGHOME

* Fri Apr 16 2004 Sergey V Turchin <zerg at altlinux dot org> 1.9.7-alt1
- new version

* Wed Apr 07 2004 Sergey V Turchin <zerg at altlinux dot org> 1.9.6-alt2
- build with gpg2
- rename package from newpg
- fix image viewver program name
- fix path to gpg-protect-tool
- fix package description

* Tue Apr 06 2004 Sergey V Turchin <zerg at altlinux dot org> 1.9.6-alt1
- new version
- build without gpg2
- add modyfied gnupg-agent.sh from PLD

* Mon Feb 09 2004 Sergey V Turchin <zerg at altlinux dot org> 0.9.4-alt3
- rebuild with new libpth

* Mon Sep 29 2003 Sergey V Turchin <zerg at altlinux dot org> 0.9.4-alt2
- rebuild with libopensc

* Fri Feb 07 2003 Sergey V Turchin <zerg@altlinux.ru> 0.9.4-alt1
- build for ALT

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.4-1mdk
- Update from Fabrice MARIE <fabrice-marie-sec@ifrance.com>

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.2-1mdk
- first package

